#ifndef PRIMITIVE_HPP
#define PRIMITIVE_HPP

//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------		
#include <cstdio>

namespace Render
{
	//-------------------------------------------------------------------------
	// Class Primitive
	//-------------------------------------------------------------------------
	class Primitive
	{
		public:
			//-----------------------------------------------------------------
			// C/D-Tor
			//-----------------------------------------------------------------
			Primitive() 
			{

			}
			//-----------------------------------------------------------------
			virtual ~Primitive() 
			{

			}

			//-----------------------------------------------------------------
			// Render primitive
			//-----------------------------------------------------------------
			virtual void Render() const=0;

		private:
			//-----------------------------------------------------------------
			// Forbidden operations
			//-----------------------------------------------------------------
			Primitive(const Primitive& _copy);
			Primitive& operator=(const Primitive& _copy);
	};
}

#endif // PRIMITIVE_HPP
